
{Demo for QuickReportGrid component}

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, QuickRpt, QRCtrls, PaintGrd, ExtCtrls, StdCtrls, Printers,
  QRPrntr, Series, QRTEE, TeEngine, TeeProcs, Chart, DbChart;

type
  TForm1 = class(TForm)
    QuickRep1: TQuickRep;
    QRBand1: TQRBand;
    QRLabel1: TQRLabel;
    Button1: TButton;
    QuickReportGrid1: TQuickReportGrid;
    procedure QuickReportGrid1Paint(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.QuickReportGrid1Paint(Sender: TObject);
var
  X, Y: extended;
begin
  with QuickReportGrid1 do begin
    XMin := -11;
    XMax := 11;
    YMin := -1;
    YMax := 1;
    RepaintGrid; {if in OnPaint event You redetermine grid properties, You should call RepaintGrid}

    X := XMin;
    Canvas.Pen.Color := clGreen;
    while X <= XMax do with Canvas do begin
      Y := Sin(X);
      Rectangle(GetXPoint(X), GetYPoint(Y), GetXPoint(X) + 3, GetYPoint(Y) + 3);
      X := X + 0.01;
    end;
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  QuickRep1.Preview;
end;

end.
